Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:           lxde-settings-daemon
Version:        0.4.1
Release:        1
BuildArch:	i686
Summary:        XSettings Daemon for LXDE
Group:          Graphical Desktop/LXDE
License:        GPLv2+
URL:            http://lxde.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.gz
Patch0:         %{name}-0.4.1-fix-load-sysconfdir-config.patch
BuildRequires:  pkgconfig glib-devel libX11-devel

%description
This package contains the XSettings daemon for LXDE, the Lightweight X11 
Desktop Environment. It allows XSettings aware applications (all GTK+ 2 
and GNOME 2 applications) to be informed instantly of changes in LXDE 
configuration, such as theme name, default font and so on.


%prep
%setup -q
%patch0 -p1 -b .syconfig

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT  INSTALL='install -p'


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
#FIXME: add ChangeLog and NEWS if there is content
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%dir %{_sysconfdir}/lxde/
%config(noreplace) %{_sysconfdir}/lxde/config
%{_mandir}/man1/lxde-settings.1.*


%changelog
* Fri Dec 04 2009 Christian Metzen <metzench@ccux-linux.de> 0.4.1-1
- Initial CCux package release
